Download it now!
Bug 96515 - Hide whitespace mode: new page is inserted for each paragraph
Summary: Hide whitespace mode: new page is inserted for each paragraph
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.2.0 target:5.1.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-15 17:00 UTC by Miklos Vajna
Modified: 2016-10-25 19:02 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
How it looks like currently (55.89 KB, image/png)
2015-12-15 17:00 UTC, Miklos Vajna
Details
How it should look like, I guess. (47.78 KB, image/png)
2015-12-15 17:01 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2015-12-15 17:00:48 UTC
Created attachment 121318 [details]
How it looks like currently

How to reproduce:

1) Start Writer.
2) View -> Hide Whitespace
3) Press "enter" e.g. 5 times

Expected: the content fits a single page.

Actual: a new page gets created for each paragraphs (document has 6 pages).
Comment 1 Miklos Vajna 2015-12-15 17:01:52 UTC
Created attachment 121319 [details]
How it should look like, I guess.
Comment 2 Commit Notification 2015-12-16 09:15:13 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2c23d4ee1e1370b20560e47db7efaeaac1d94b26

tdf#96515 sw Hide Whitespace: avoid creating unneeded page frames

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-12-23 16:21:07 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d4c6c90c3491cf37181b13c1b867ac67bb098f80&h=libreoffice-5-1

tdf#96515 sw Hide Whitespace: avoid creating unneeded page frames

It will be available in 5.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-04-30 15:21:31 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=320ae3dba8b95a1286d579c37b33b34116c5bb5b

Fix tdf#96515 unit test

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.